Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Update category

Update a category (POST body is partial). Requires a Write key. Empty allowStore or hideStore arrays remove the field.

POST/categories/{categoryId}
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Path parameters
categoryIdstringrequired
Request body
requiredapplication/json
namestring
min length 1
externalIdstring

Optional external identifier

indexnumber
showOnScreenboolean
imageUrlstring
marginMinPercentnumber
marginMaxPercentnumber
hideStorestring[]

Empty array removes the field.

allowStorestring[]

Empty array removes the field.

deletedboolean

Set true to soft-delete.

Responses
200

Updated

successbooleanrequired
400

Invalid parameters or body.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

404

No item with this id.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://dashboard.scango.ch/api/v1/categories/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "index": 2
}'
Response
{
  "success": true
}

Was this page helpful?